Subject: [Geopriv] Mandatory TLS

From: Eric Rescorla <[email-masked]>
Date: Tue, 05 Aug 2008 14:46:37 -0700

Richard Barnes and I were exchanging email about whether
TLS should be required for HELD and Richard asked me
to forward our exchange to the list.

As a clarifying point, when I say "should only run over TLS",
I mean "no HTTP only-mode". However, as I said below, this is
just personal opinion, not something that I think the SEC
area has a policy on.

-Ekr

Eric Rescorla wrote:
> At Tue, 05 Aug 2008 13:10:43 -0400,
> Richard Barnes wrote:
>> Hey Ekr,
>>
>> I've been having some back and forth with the HELD authors about the 
>> status of TLS in their document.  They're suggesting that TLS be 
>> mandatory to *use*, not just to *implement*, in large part because they 
>> seem to think that's what's necessary to get you/secdir to sign off on 
>> the document.
>>
>> What's your take on this?  It seems unusual to me to mandate use  of a 
>> security feature (instead of just availability).
> 
> As a design matter, I'm generally in favor of having protocols which always 
> run over secure transport. It just makes analysis simpler. So, if you
> were holding a vote about whether HELD should only run over TLS, I
> would vote "Yes".
> 
> That said, I'm not aware of any secdir requirement that this be done,
> and it wasn't something I was pushing for in my review. What I think
> *was* an issue was that (1) the document was unclear about whether
> TLS was required and (2) it wasn't always clear how the clients and/or
> servers knew whether they should be using TLS. so, I think those
> issues need clarification, but I'm not going to kick up a fuss if
> there are both TLS and non-TLS modes as long as it's clear how they
> work.
> 
> -Ekr
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/geopriv